unit Unit8;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  AccPampa, Refinar, gnuplot;

type

  { TForm7 }       {Espectro}

  TForm7 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    SelectDirectoryDialog1: TSelectDirectoryDialog;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Form7Activate(Sender: TObject);
    procedure Form7Create(Sender: TObject);
    procedure Form7new();
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form7: TForm7;

implementation

{$R *.lfm}

{ TForm7 }

procedure TForm7.Button2Click(Sender: TObject);   {Buscar Directorio}
begin
    if SelectDirectoryDialog1.Execute then
    begin
      DiEsp := SelectDirectoryDialog1.Filename;
    end;
    Edit2.Text:=DiEsp;
end;

procedure TForm7.Form7Activate(Sender: TObject);
begin
  Edit1.Text:=ArEsp;
  Edit2.Text:=DiEsp;
  Edit3.Text:=Comentario;
end;

procedure TForm7.Form7Create(Sender: TObject);
begin
    ArEsp:='';
    DiEsp:='';
    Comentario:='';
end;

procedure TForm7.Form7new();
begin
    ArEsp:='';
    DiEsp:='';
    Comentario:='';
end;

procedure TForm7.Button1Click(Sender: TObject);   {Aceptar}
begin
    ArEsp:=Edit1.Text;
    DiEsp:=Edit2.Text;
    Comentario:=Edit3.Text;
    Leer_esp;
    Close();
end;

end.

